import { HeaderE2EComponent } from '../../page-objects/header.po';
import { MainPage } from '../../page-objects/main.po';
import { reload } from '../../support/cypress-helper';
import { exist } from '../../support/cypress.util';
import { loginByUi } from '../../support/user-util';

describe('Login and Logout', () => {
  const mainPage: MainPage = new MainPage();
  const header: HeaderE2EComponent = mainPage.getHeader();

  it('login as Ariane', () => {
    Cypress.session.clearAllSavedSessions();

    cy.fixture('user/user_ariane.json').then((user) => {
      loginByUi(user);
    });
  });

  it('should display logo', () => {
    exist(header.getLogo());
  });

  it('should keep user logged in on reload page', () => {
    reload();
    exist(header.getLogo());
  });

  it('should logout', () => {
    header.getCurrentUserProfile().logout();

    exist(cy.get('#kc-login'));

    Cypress.session.clearAllSavedSessions();
  });
});
