import { PostfachE2EComponent } from '../../components/postfach/postfach.e2e.component';
import { HeaderE2EComponent } from '../../page-objects/header.po';
import { MainPage, waitForSpinnerToDisappear } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';
import { loginAsAriane } from '../../support/user-util';

describe('Signatur', () => {
  const mainPage: MainPage = new MainPage();
  const header: HeaderE2EComponent = mainPage.getHeader();
  const postfachTab: PostfachE2EComponent = new PostfachE2EComponent();

  const signaturText: string = 'Signatur\nmit\n\n\n\nZeilenumbruch\n\n';

  before(() => {
    loginAsAriane();
  });

  it('should show Signatur input', () => {
    waitForSpinnerToDisappear();

    exist(postfachTab.getSignaturText());

    postfachTab.clearSignatur();
    postfachTab.setSignatur(signaturText);
    postfachTab.saveSignatur();

    postfachTab.signatureContains(signaturText);
    postfachTab.scrollbarIsPresent();

    header.getCurrentUserProfile().logout();
  });
});
