import { CurrentUserProfileE2EComponent } from '../components/user-profile/current-user-profile.component.e2e';
import { UserSettingsE2EComponent } from '../components/user-settings/user-settings.component.e2e';

export class HeaderE2EComponent {
  private readonly locatorLogo: string = 'logo-link';
  private readonly locatorRoot: string = 'header';

  private readonly userSettings: UserSettingsE2EComponent = new UserSettingsE2EComponent();
  private readonly currentUserProfile: CurrentUserProfileE2EComponent =
    new CurrentUserProfileE2EComponent();

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getLogo() {
    return cy.getTestElement(this.locatorLogo);
  }

  public getUserSettings(): UserSettingsE2EComponent {
    return this.userSettings;
  }

  public getCurrentUserProfile(): CurrentUserProfileE2EComponent {
    return this.currentUserProfile;
  }
}
