import { Component, HostBinding } from '@angular/core';
import { CommonModule } from '@angular/common';
import { Dialog, DialogModule, DialogRef, CdkDialogContainer } from '@angular/cdk/dialog';
import { PortalModule } from '@angular/cdk/portal';
import { BescheidPaperComponent } from '../bescheid-paper/bescheid-paper.component';
import { BescheidStepperComponent } from '../bescheid-stepper/bescheid-stepper.component';

@Component({
  imports: [DialogModule, PortalModule],
  standalone: true,
  template: '<ng-template cdkPortalOutlet></ng-template>',
})
export class BescheidDialogContainerComponent extends CdkDialogContainer {}

@Component({
  selector: 'app-bescheid-dialog',
  standalone: true,
  imports: [CommonModule, DialogModule, BescheidPaperComponent, BescheidStepperComponent],
  templateUrl: './bescheid-dialog.component.html',
})
export class BescheidDialogComponent {
  constructor(public dialogRef: DialogRef) {}
}

@Component({
  selector: 'app-bescheid-dialog-button',
  templateUrl: 'bescheid-dialog-button.html',
  standalone: true,
  imports: [DialogModule],
})
export class BescheidDialogExampleComponent {
  constructor(private readonly cdkDialog: Dialog) {}

  openDialog(): void {
    this.cdkDialog
      .open<string>(BescheidDialogComponent, {
        container: BescheidDialogContainerComponent,
        hasBackdrop: true,
        backdropClass: 'bescheid-dialog-backdrop',
      })
      .closed.subscribe((result) => {
        console.log('The dialog was closed', result);
      });
  }
}
