import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { KeycloakResourceService } from '../user/keycloak.resource.service';
import { Organisationseinheit } from '../user/user.model';
import { UserRepository } from '../user/user.repository.service';

@Injectable({
  providedIn: 'root',
})
export class OrganisationseinheitService extends KeycloakResourceService<Organisationseinheit> {
  constructor(private userRepository: UserRepository) {
    super();
  }

  getItemsFromKeycloak(): Observable<Organisationseinheit[]> {
    return this.userRepository.findOrganisationseinheitItems();
  }

  saveInKeycloak(organisationseinheit: Organisationseinheit): Observable<void> {
    return this.userRepository.saveOrganisationseinheit(organisationseinheit);
  }

  createInKeycloak(organisationseinheit: { name: string; organisationseinheitIds: string[] }): Observable<Organisationseinheit> {
    return this.userRepository.createOrganisationseinheit(organisationseinheit);
  }

  deleteInKeycloak(id: string): Observable<void> {
    return this.userRepository.deleteOrganisationseinheit(id);
  }
}
