import { BescheidSharedModule } from '@alfa-client/bescheid-shared';
import { BinaryFileModule } from '@alfa-client/binary-file';
import { CommandSharedModule } from '@alfa-client/command-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { BescheidInVorgangContainerComponent } from './bescheid-in-vorgang-container/bescheid-in-vorgang-container.component';
import { BescheidInVorgangComponent } from './bescheid-in-vorgang-container/bescheid-in-vorgang/bescheid-in-vorgang.component';
import { BescheidListInVorgangContainerComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang-container.component';
import { BescheidListInVorgangComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang/bescheid-list-in-vorgang.component';
import { DocumentInBescheidContainerComponent } from './bescheid-list-in-vorgang-container/bescheid-list-in-vorgang/document-in-bescheid-container/document-in-bescheid-container.component';
import { BeschiedenDateContainerComponent } from './beschieden-date-in-vorgang-container/beschieden-date-container/beschieden-date-container.component';
import { BeschiedenDateInVorgangContainerComponent } from './beschieden-date-in-vorgang-container/beschieden-date-in-vorgang-container.component';

import {
  BescheidStatusTextComponent,
  BescheidWrapperComponent,
  CloseIconComponent,
  StampIconComponent,
} from '@ods/system';

@NgModule({
  imports: [
    CommonModule,
    BescheidSharedModule,
    BinaryFileModule,
    TechSharedModule,
    UiModule,
    CommandSharedModule,
    BescheidStatusTextComponent,
    BescheidWrapperComponent,
    StampIconComponent,
    CloseIconComponent,
  ],
  declarations: [
    BescheidInVorgangContainerComponent,
    BescheidInVorgangComponent,
    BescheidListInVorgangContainerComponent,
    BescheidListInVorgangComponent,
    DocumentInBescheidContainerComponent,
    BeschiedenDateContainerComponent,
    BeschiedenDateInVorgangContainerComponent,
  ],
  exports: [
    BescheidInVorgangContainerComponent,
    BescheidListInVorgangContainerComponent,
    BeschiedenDateInVorgangContainerComponent,
  ],
})
export class BescheidModule {}
