import { ResourceRepository } from '@alfa-client/tech-shared';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import {
  CollaborationListResourceService,
  createCollaborationListResourceService,
} from './collaboration-list-resource.service';
import { CollaborationService } from './collaboration.service';
import {
  OrganisationsEinheitResourceSearchService,
  createOrganisationsEinheitResourceSearchService,
} from './organisations-einheit-resource-search.service';
import { OrganisationsEinheitService } from './organisations-einheit.service';

@NgModule({
  imports: [CommonModule],
  providers: [
    CollaborationService,
    OrganisationsEinheitService,
    {
      provide: CollaborationListResourceService,
      useFactory: createCollaborationListResourceService,
      deps: [ResourceRepository, VorgangService],
    },
    {
      provide: OrganisationsEinheitResourceSearchService,
      useFactory: createOrganisationsEinheitResourceSearchService,
      deps: [ResourceRepository, VorgangService],
    },
  ],
})
export class CollaborationSharedModule {}
