import {
  Collaboration,
  CollaborationListLinkRel,
  CollaborationListResource,
  OrganisationsEinheitResource,
} from '@alfa-client/collaboration-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-collaboration-in-vorgang',
  templateUrl: './collaboration-in-vorgang.component.html',
})
export class CollaborationInVorgangComponent {
  @Input() public collaborationStateListResource: StateResource<CollaborationListResource>;
  @Input() public isRequestFormVisible: boolean;
  @Input() public organisationsEinheit: OrganisationsEinheitResource;

  @Output() public readonly showRequestForm: EventEmitter<void> = new EventEmitter<void>();
  @Output() public readonly hideRequestForm: EventEmitter<void> = new EventEmitter<void>();

  public readonly collaborationListLinkRel = CollaborationListLinkRel;

  public collaboration: Collaboration;

  public setCollaboration(collaboration: Collaboration) {
    this.collaboration = collaboration;
    this.hideRequestForm.emit();
  }
}
