import { createEmptyStateResource } from '@alfa-client/tech-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { DownloadButtonComponent } from './download-button.component';

describe('DownloadButtonComponent', () => {
  let component: DownloadButtonComponent;
  let fixture: ComponentFixture<DownloadButtonComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [DownloadButtonComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(DownloadButtonComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('isLoading', () => {
    it('should return false', () => {
      component.stateResource = createEmptyStateResource();

      const isLoading: boolean = component.isLoading;

      expect(isLoading).toBeFalsy();
    });

    it('should return true if stateResource is loading', () => {
      component.stateResource = createEmptyStateResource(true);

      const isLoading: boolean = component.isLoading;

      expect(isLoading).toBeTruthy();
    });

    it('should return true if stateResource is reloading', () => {
      component.stateResource = { ...createEmptyStateResource(), reload: true };

      const isLoading: boolean = component.isLoading;

      expect(isLoading).toBeTruthy();
    });
  });
});
