import { TechSharedModule } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { CheckboxComponent } from '@ods/system';
import { FormControlEditorAbstractComponent } from '../formcontrol-editor.abstract.component';
import { ValidationErrorComponent } from '../validation-error/validation-error.component';

@Component({
  selector: 'ods-checkbox-editor',
  standalone: true,
  imports: [CheckboxComponent, ValidationErrorComponent, TechSharedModule],
  templateUrl: './checkbox-editor.component.html',
})
export class CheckboxEditorComponent extends FormControlEditorAbstractComponent {
  @Input() value: string;
  @Input() inputId: string;
  @Input() label: string;
  @Input() disabled: boolean = false;

  get hasError(): boolean {
    return this.invalidParams.length > 0;
  }
}
