import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { DownloadButtonComponent } from '../../../../design-component/src/lib/download-button/download-button.component';

import { AttachmentComponent } from '../attachment/attachment.component';
import { AttachmentHeaderComponent } from './attachment-header.component';

const meta: Meta<AttachmentHeaderComponent> = {
  title: 'Attachment header',
  component: AttachmentHeaderComponent,
  parameters: {
    docs: {
      description: {
        component: 'Header may contain title and/or buttons',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [AttachmentHeaderComponent, AttachmentComponent, DownloadButtonComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentHeaderComponent>;

export const Default: Story = {
  args: {
    title: 'Anhänge',
  },
  argTypes: {
    title: {
      description: 'Title for group of files',
    },
  },
  render: (args) => ({
    props: args,
    template: `<ods-attachment-header ${argsToTemplate(args)}>
        <ods-download-button action-buttons />
    </ods-attachment-header>`,
  }),
};
