import type { Meta, StoryObj } from '@storybook/angular';

import { FileIconComponent } from './file-icon.component';

const meta: Meta<FileIconComponent> = {
  title: 'Icons/File Icon',
  component: FileIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FileIconComponent>;

export const Default: Story = {
  args: { size: 'large', fileType: 'pdf' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'large'],
      description: 'Size of icon',
      table: {
        defaultValue: { summary: 'large' },
      },
    },
    fileType: {
      control: 'select',
      options: ['pdf', 'xml', 'doc', 'image', 'json', 'exclamation'],
      description: 'Type of file icon',
      table: {
        defaultValue: { summary: 'xml' },
      },
    },
  },
};
