import { FileSizePlainPipe } from './file-size-plain.pipe';

describe('FileSizePlainPipe', () => {
  const pipe = new FileSizePlainPipe();

  it('create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  describe('pass date in pipe', () => {
    const kb = 1024;

    it('1.073.741.824 should return 1,00 GB', () => {
      const size = Math.pow(kb, 3);

      const pipeResult: string = pipe.transform(size);

      expect(pipeResult).toBe('1,00 GB');
    });

    it('1.048.576 should return 1,00 MB', () => {
      const size = Math.pow(kb, 2);

      const pipeResult: string = pipe.transform(size);

      expect(pipeResult).toBe('1,00 MB');
    });

    it('1000 should return 0,98 kB', () => {
      const size = 1000;
      const expectedSize = (size / kb).toFixed(2).replace('.', ',');

      const pipeResult: string = pipe.transform(size);

      expect(pipeResult).toBe(`${expectedSize} kB`);
    });
  });
});
