import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-step-button',
  templateUrl: './vorgang-detail-bescheiden-step-button.component.html',
})
export class VorgangDetailBescheidenStepButtonComponent {
  @Input() step: number;
  @Input() activeStep: number;
  @Output() activeStepChange = new EventEmitter<number>();

  clickHandler(step: number): void {
    if (this.isPrevious()) {
      this.activeStepChange.emit(step);
    }
  }

  isActive(): boolean {
    return this.step === this.activeStep;
  }

  isPrevious(): boolean {
    return this.step < this.activeStep;
  }

  isNext(): boolean {
    return this.step > this.activeStep;
  }
}
