import { BescheidService } from '@alfa-client/bescheid-shared';
import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { DateEditorComponent } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule, UntypedFormBuilder } from '@angular/forms';
import { CloseIconComponent, RadioButtonCardComponent, StampIconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { BescheidenFormService } from '../../../bescheiden.formservice';
import { VorgangDetailBescheidenAntragBescheidenComponent } from './vorgang-detail-bescheiden-antrag-bescheiden.component';

describe('VorgangDetailBescheidenAntragBescheidenComponent', () => {
  let component: VorgangDetailBescheidenAntragBescheidenComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenAntragBescheidenComponent>;

  let bescheidService: Mock<BescheidService>;
  let formService: BescheidenFormService;

  beforeEach(async () => {
    bescheidService = mock(BescheidService);
    formService = new BescheidenFormService(new UntypedFormBuilder(), useFromMock(bescheidService));
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenAntragBescheidenComponent,
        MockComponent(RadioButtonCardComponent),
        MockComponent(DateEditorComponent),
        MockComponent(StampIconComponent),
        MockComponent(CloseIconComponent),
      ],
      imports: [ReactiveFormsModule],
      providers: [
        {
          provide: BescheidenFormService,
          useValue: formService,
        },
        {
          provide: BescheidService,
          useValue: bescheidService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenAntragBescheidenComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
