import { Component, Input, OnInit } from '@angular/core';
import { ApiRootResource } from '@alfa-client/api-root-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangListService, VorgangStatistic } from '@alfa-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-vorgang-views-menu-container',
  templateUrl: './vorgang-views-menu-container.component.html',
  styleUrls: ['./vorgang-views-menu-container.component.scss'],
})
export class VorgangViewsMenuContainerComponent implements OnInit {
  @Input() apiRootResource: ApiRootResource;

  vorgangStatisticStateResource$: Observable<StateResource<VorgangStatistic>>;

  constructor(private vorgangList: VorgangListService) {}

  ngOnInit(): void {
    this.vorgangStatisticStateResource$ = this.vorgangList.getVorgangStatistic();
  }
}
