import { Component, OnInit } from '@angular/core';
import { VorgangListService, VorgangView } from '@alfa-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-vorgang-search-view-item-container',
  templateUrl: './vorgang-search-view-item-container.component.html',
  styleUrls: ['./vorgang-search-view-item-container.component.scss'],
})
export class VorgangSearchViewItemContainerComponent implements OnInit {
  isSelected$: Observable<boolean>;
  routePath$: Observable<string>;

  constructor(private vorgangListService: VorgangListService) {}

  ngOnInit(): void {
    this.isSelected$ = this.vorgangListService.isVorgangViewSelected(VorgangView.SEARCH);
    this.routePath$ = this.vorgangListService.getVorgangViewRoutePath(VorgangView.SEARCH);
  }
}
