package de.ozgcloud.alfa.bescheid;

import org.springframework.hateoas.EntityModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import lombok.RequiredArgsConstructor;

@RestController
@RequestMapping(DocumentController.PATH)
@RequiredArgsConstructor
public class DocumentController {

	static final String PATH = BescheidController.PATH + "/documents";

	private final DocumentService documentService;
	private final DocumentModelAssembler assembler;

	@GetMapping("/{documentId}")
	public EntityModel<Document> getDocument(@PathVariable String documentId) {
		return assembler.toModel(documentService.getDocument(documentId));
	}
}
