package de.ozgcloud.alfa.bescheid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.ozgcloud.alfa.common.GrpcUtil;
import de.ozgcloud.document.DocumentServiceGrpc.DocumentServiceBlockingStub;
import de.ozgcloud.document.GrpcGetDocumentRequest;
import net.devh.boot.grpc.client.inject.GrpcClient;

@Service
class DocumentRemoteService {

	@GrpcClient(GrpcUtil.VORGANG_MANAGER_GRPC_CLIENT)
	private DocumentServiceBlockingStub documentServiceStub;
	@Autowired
	private DocumentMapper documentMapper;

	public Document getDocument(String documentId) {
		var response = documentServiceStub.getDocument(GrpcGetDocumentRequest.newBuilder().setId(documentId).build());
		return documentMapper.fromGrpc(response.getDocument());
	}
}
