<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.1">

	<xsl:template name="functional-template" match="/testModel">
		<fo:flow flow-name="xsl-region-body">

			<fo:block font-size="14pt">
				<fo:table>
					<fo:table-column column-width="50mm" />
					<fo:table-column column-width="125mm"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>Vorgangsname</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block><xsl:value-of select="postfachNachrichtPdfModel/vorgangName" /></fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row>
							<fo:table-cell>
								<fo:block>Vorgangsnummer</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block><xsl:value-of select="postfachNachrichtPdfModel/vorgangNummer" /></fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
			</fo:block>
			
			<fo:block font-size="11pt" margin-top="30px">
				<fo:table>
					<fo:table-column column-width="50mm" />
					<fo:table-column column-width="125mm"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>Antragsteller</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerAnrede" />
							        <xsl:text> </xsl:text>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerVorname" />
								    <xsl:text> </xsl:text>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerNachname" />
								</fo:block>
								<fo:block>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerStrasse" />
								    <xsl:text> </xsl:text>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerHausnummer" />
								</fo:block>
								<fo:block>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerPlz" />
								    <xsl:text> </xsl:text>
								    <xsl:value-of select="postfachNachrichtPdfModel/antragstellerOrt" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>

					</fo:table-body>
				</fo:table>
			</fo:block>
			
			<fo:block-container font-size="11pt" margin-top="1cm">
				<fo:block font-size="14pt" margin-bottom="3mm">Nachrichten</fo:block>
				
				<xsl:for-each select="postfachNachrichtPdfModel/nachrichten/nachricht">
			        <xsl:call-template name="nachricht"/>
				</xsl:for-each>
			</fo:block-container>
		</fo:flow>
	</xsl:template>
	
	<xsl:template name="nachricht">
		
			<fo:block font-size="11pt"  margin-bottom="2mm" linefeed-treatment="preserve">
				<xsl:if test="isFirst='false'">
					<fo:leader leader-pattern="rule" leader-length="175mm" rule-style="solid" rule-thickness="1pt"/>
				</xsl:if>
				<fo:table>
					<fo:table-column column-width="30mm" />
					<fo:table-column column-width="145mm"/>
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell padding="3px">
								<fo:block>Absender</fo:block>
							</fo:table-cell>
							<fo:table-cell padding="3px">
								<fo:block><xsl:value-of select="createdBy" /></fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row>
							<fo:table-cell padding="3px">
								<fo:block>Datum</fo:block>
							</fo:table-cell>
							<fo:table-cell padding="3px">
								<fo:block><xsl:value-of select="createdAt" /></fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						<fo:table-row>
							<fo:table-cell padding="3px">
								<fo:block>Betreff</fo:block>
							</fo:table-cell>
							<fo:table-cell padding="3px">
								<fo:block><xsl:value-of select="subject" /></fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						<fo:table-row>
							<fo:table-cell padding="3px">
								<fo:block>Text</fo:block>
							</fo:table-cell>
							<fo:table-cell padding="3px">
								<fo:block><xsl:value-of select="mailBody" /></fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						<fo:table-row>
							<fo:table-cell padding="3px">
								<fo:block>Anhänge</fo:block>
							</fo:table-cell>
							<xsl:if test="attachments/attachment">
								<fo:table-cell padding="3px">
									<xsl:for-each select="attachments/attachment">
										<fo:block><xsl:value-of select="."/></fo:block>
									</xsl:for-each>
								</fo:table-cell>
							</xsl:if>
						</fo:table-row>
					</fo:table-body>
				</fo:table>             
			</fo:block>
			
	</xsl:template>
			
</xsl:stylesheet>