package de.ozgcloud.alfa.common;

import de.xoev.xdomea.IdentifikationObjektType;

public class IdentifikationObjektTypeBuilder {
	private String objectID;
	private Long ordinalNumber;

	public static IdentifikationObjektTypeBuilder builder() {
		return new IdentifikationObjektTypeBuilder();
	}

	public IdentifikationObjektTypeBuilder withObjectID(String objectID) {
		this.objectID = objectID;
		return this;
	}

	public IdentifikationObjektTypeBuilder withOrdinalNumber(Long ordinalNumber) {
		this.ordinalNumber = ordinalNumber;
		return this;
	}

	public IdentifikationObjektType build() {
		var identifikation = new IdentifikationObjektType();
		identifikation.setID(UUIDConverter.fromObjectId(objectID));
		identifikation.setNummerImUebergeordnetenContainer(ordinalNumber);
		return identifikation;
	}
}
