package de.ozgcloud.alfa.vorgang;

import java.util.HashMap;
import java.util.Map;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
class WrappedValueExtractor {

	static final String WRAPPER_KEY = "value";

	public static Map<String, Object> extractWrappedValues(Map<String, Object> formData) {
		Map<String, Object> result = new HashMap<>();
		for (var entry : formData.entrySet()) {
			result.put(entry.getKey(), replaceWrappedValueWithDirectValue(entry.getValue()));
		}
		return result;
	}

	@SuppressWarnings("unchecked")
	static Object replaceWrappedValueWithDirectValue(Object value) {
		if (!(value instanceof Map)) {
			return value;
		}
		Map<String, Object> formData = (Map<String, Object>) value;
		return isWrappedValue(formData) ?
				replaceWrappedValueWithDirectValue(formData.get(WRAPPER_KEY)) :
				extractWrappedValues(formData);
	}

	static boolean isWrappedValue(Map<String, Object> formData) {
		return formData.containsKey(WRAPPER_KEY) && formData.size() == 1;
	}
}
