package de.ozgcloud.alfa.export;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.ArgumentMatchers.*;
import static org.mockito.Mockito.*;

import java.io.StringWriter;

import javax.xml.transform.stream.StreamResult;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.ArgumentCaptor;
import org.mockito.Captor;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;
import org.springframework.oxm.jaxb.Jaxb2Marshaller;

import de.xoev.xdomea.AbgabeAbgabe0401;

class XmlMarshallerTest {

	@Spy
	@InjectMocks
	private XdomeaXmlMarshaller xdomeaXmlMarshaller;

	@Mock
	private Jaxb2Marshaller marshaller;

	@Nested
	class TestMarshal {

		private final AbgabeAbgabe0401 abgabe = AbgabeAbgabe0401TestFactory.create();

		@Captor
		private ArgumentCaptor<StreamResult> streamResultArgumentCaptor;

		@Test
		void shouldMarshal() {
			xdomeaXmlMarshaller.marshal(abgabe);

			verify(marshaller).marshal(eq(abgabe), streamResultArgumentCaptor.capture());
			assertThat(streamResultArgumentCaptor.getValue().getWriter()).isInstanceOf(StringWriter.class);
		}
	}
}